/*

Feststellen, ob wir in Notebook laufen

Wenn Ja:
	- NB SDK laden (beinhaltet jQuery!)
	- lokalisierte Bilder austauschen (Texte macht NB SDK!)

Wenn Nein:
	- jQuery laden
	- Lokalisierte Texte aus den JSON-Dateien ersetzen (macht sonst NB SDK)
	- lokalisierte Bilder NICHT austauschen, macht der Widget-Container
*/

(function () {
	
	var KBBWIDGETSETUP;
	KBBWIDGETSETUP = this.KBBWIDGETSETUP = {}; 
	
	KBBWIDGETSETUP.locale="";
	KBBWIDGETSETUP.platform="notebooksdk";
	
    KBBWIDGETSETUP.loadScript = function (url, callback){
        var script = document.createElement("script");
        script.type = "text/javascript";
        if (script.readyState) { // IE
            script.onreadystatechange = function() {
                if (script.readyState == "loaded" || script.readyState == "complete") {
                    script.onreadystatechange = null;
                    callback();
                }
            };
        } else { // not IE
            script.onload = function() {
                callback();
            };
        }
        script.src = url;
        document.getElementsByTagName("head")[0].appendChild(script);
    };
	

   

	KBBWIDGETSETUP.getLocale = function() {
		if (KBBWIDGETSETUP.locale == "") {
			KBBWIDGETSETUP.locale="en";
			// Locale anhand NB-SDK ermitteln 
			var NBLocales = NB.localization.getLocales();
			if(NBLocales == undefined) 
				KBBWIDGETSETUP.locale = "en";
			else
				KBBWIDGETSETUP.locale=NBLocales['ui']['lang'];
		} 
		return KBBWIDGETSETUP.locale;
	};
	

	
	KBBWIDGETSETUP.init = function () {
		//
		// Laden der plattformabhängigen Bibliotheken
		// und starten der Lokalisierung
		//
		
		KBBWIDGETSETUP.loadScript("libs/utilities.js", function() {
			

			KBBWIDGETSETUP.loadScript("nb-1.0.0.js", function() {
				KBBWIDGETSETUP.getLocale();
				initWidget( KBBWIDGETSETUP.getLocale() );
			});
		});
		

		
	};
	
	KBBWIDGETSETUP.init();
	
} )() ;